% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PARAMETROS ENTRADA para calculo de curvas de remanso 
% INPUT PARAMETERS for water depth profile / backwater calculation
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
parametros_definidos_aqui=1;
salida_grafica=1;
%
salida_ods = 0; fichero_ods='blackwater.ods'; hoja='hoja1';
%
if parametros_definidos_aqui,
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  % Parametros basicos simulacion
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

   %
  resuelve_ode = 1; 
  %%%% 1 RK ode, 
  %%%% 2 metodo directo con deltay
  %%%% 3 metodo deltayelevacion para FEV

  deltay=-0.05; % solo necesario si resuelve_ode==2
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
% solo valido para resuelve_ode==3
  deltaxode3=-7.62; 
  expresionendiffinitas = 3; %1 Sotelo, 2 USBR, 3 congreso LCastillo 1996 mod. USBR
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  
  Q0 = 56.6;% caudal/flow rate en SI, si FEV, Q=Q(x0)
  y0 = 5.15;% y(x0) 
  %%
  y0c = 3.05;%y0;%p.i. para encontrar yc
  y0n = 3.05;%y0;%p.i. para encontrar yn
  %%
%  x0 = 0 (es el 0)
  xend = -30.7;
% xend = +10; calcula perfil hasta 10 m aguas abajo (- aguas arriba)
  Is=0.01;
%Is = 0.0002; % pendiente (sin inclinacion) / downslope tan theta_s
  
  %%%%%%%%%%%%%%%%%%%%%%%
  % Definicion seccion
  %%%%%%%%%%%%%%%%%%%%%%%

  canal.tipo = 2;
% 1 rectangular, 2 trapezoidal, 3 trapezoidal k1k2 
% 4 triangular, 5 parabolica, 6 circular, 7 herradura, 
% 100 definido mediante tablas (sin implementar)
% 110 compuesto
% 1, 2 y 3 se pueden definir conjuntamente pero más eficiente 
% por separado
  canal.param = [3.05 0.5];
% EJEMPLOS SEGUN TIPO:
% canal.param = [b]; % 1
% canal.param = [b k];%2
% canal.param = [b k1 k2];%3
% canal.param = [k];%4
%
%
  canal.alfa = 1.43; %metido aqui por si acaso forma no regular 
  canal.beta = 1.2; %metido aqui por si acaso forma no regular
%
%
  canal.n = 0.014; %0.014 % Coeficiente manning (G-M-S)
  

  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  % Flujo Espacialmente Variado??
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

  qast.tipo = 1;%
%%% tipos
% 0 Q cte
% 1 Q creciente con dQ/dx cte
% -1 Q decreciente con dQ/dx siguiendo modelo X (sin implementar)
%% Siguientes solo se usan si qast.tipo == 1
  qast.value = 1.844; %% qast.value es qast, i.e. dQ/dx
  qast.U = 0; %despreciamos el termino eq a delta 90 grados
  qast.delta = 90; %grados
%%%%
%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FIN PARAMETROS ENTRADA
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
endif